Subject: bug#21871: closed (Re: bug#21871: Emacs Lisp Mode (at least): spurious parens in column 0 don't get bold red highlighting.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 21 Sep 2021 23:08:02 +0000

Your bug report

#21871: Emacs Lisp Mode (at least): spurious parens in column 0 don't get bold red highlighting.

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21871: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21871
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#21871: Emacs Lisp Mode (at least): spurious parens in column 0 don't get bold red highlighting.
From: Stefan Kangas <[email-masked]>
To: Alan Mackenzie <[email-masked]>
Cc: [email-masked]
Date: Tue, 21 Sep 2021 16:07:04 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Alan Mackenzie <[email-masked]> writes:

> I would say it should definitely be closed, the fix that has been
> implemented being far and away better than that anticipated by the bug
> report.  :-)

Excellent!  :-)

I'm therefore closing this bug report.

Subject: Emacs Lisp Mode (at least): spurious parens in column 0 don't get bold red highlighting.
From: Alan Mackenzie <[email-masked]>
To: [email-masked]
Date: Tue, 10 Nov 2015 16:30:34 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, Emacs.

In the Emacs manual page "Left Margin Paren", it says that:

   To help you catch violations of this convention, Font Lock mode
   highlights confusing opening delimiters (those that ought to be quoted)
   in bold red.

, where "this convention" is the convention of not putting opening parens
in column 0 when they aren't at the beginning of defuns.

In Emacs Lisp Mode, this highlighting isn't done.  It isn't in CC Mode,
either.

This is either a bug in the code, or a bug in the documentation.  I
rather tend to the view that this bold red highlighting should be done
when open-paren-in-column-0-is-defun-start is non-nil.  I think it did,
at one stage, but searching the emacs-devel archives doesn't reveal what
happened.

-- 
Alan Mackenzie (Nuremberg, Germany).